#ifndef LUNAR_WM_CORE_H
#define LUNAR_WM_CORE_H

#include "LunarWM_types.h"

bool LunarWM_init(LunarWM *wm);
void LunarWM_destroy(LunarWM *wm);
void LunarWM_terminate(LunarWM *wm);
void LunarWM_run(LunarWM *wm);
void LunarWM_set_recenter_from_camera(LunarWM *wm);

extern LunarWM g_wm;

#endif
